/**
 * 应用服务模块
 * @date 2022-03
 * @author 何华东
 */
import { TyExternalApiClient, GetConfigInfoResponse } from "./TyExternalApi";
/**
 * app应用服务
 */
export default class AppService {
    tyExternalApiClient: TyExternalApiClient;
    configInfo: any;
    refresh_configInfo_interval: any;
    /**
     * 获取appid配置信息，redis缓存
     *
     * 缓存优先，同步执行，减少对统一接口调用
     * @param ex redis缓存时间(秒)
     */
    getConfigInfo(ex?: number): Promise<GetConfigInfoResponse>;
    /**
     * 查找匹配的车场配置(redis缓存)
     */
    findParkExtendConfig(parkId: any): Promise<any>;
    /**
     * 获取匹配的车场配置(redis缓存)，未找到会抛出异常
     */
    getParkExtendConfig(parkId: any): Promise<any>;
    /**
     * 获取appid配置信息，本地缓存（缓存5分钟）
     */
    getConfigInfoFromLocal(): Promise<GetConfigInfoResponse>;
    /**
     * 查找匹配的车场配置(本地缓存)
     */
    findParkConfigFromLocal(parkId: any): Promise<any>;
    /**
     * 获取匹配的车场配置(本地缓存)，未找到会抛出异常
     */
    getParkConfigFromLocal(parkId: any): Promise<any>;
}
export { AppService };
